﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SwiftMVVM.ChangeTracking
{
    /// <summary>
    /// This attribute marks a property to be tracked by the IMS
    /// change tracking framework. If the property is a reference type, then it must implement
    /// INotifyPropertyChanged, and INotifyPropertyChanging to be trackable
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, Inherited = true, AllowMultiple = false)]
    public sealed class TrackChangesAttribute : Attribute { }
}
