﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SwiftMVVM.ViewModel
{
    /// <summary>
    /// Marks any virtual auto property to be overridden by the Proxy so that we
    /// can hook into it's setter and fire off property change notifications when/if the 
    /// property value changes
    /// </summary>
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class NotificationPropertyAttribute : Attribute
    {
    }
}
